Function
atomicOr
Atomically combine two integers with OR operation.
atomicOr(x, y)
Include Headers
seqan/parallel.h
Parameters

x | Integer, by reference.
y | Integer to combine with OR operation.

Remarks
This is equivalent to an atomic x |= y.
Atomic fetch-and-or for 64 bit integers is only available on 64 bit processors when targeting Intel.
Atomic fetch-and-or does not work in VS8 on 64 bit Windows, you can only use atomicOr() portably on 32 and 64 bit integers.
You are responsible for correctly aligning x such that the atomic increment works on the hardware you target.
Return Values
The old value of x.
See Also
atomicInc, atomicAdd, atomicCas, atomicDec, atomicXor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46